## Class Boundary

    Boundary

### Classes extended from Boundary:

Located in File: Program_Root/class.phpmailer.php

Boundary - MIME message boundary class

- Package - `default`
- Author - `Brent R. Matzelle`

Class Variable Summary

`$CharSet`

> Sets the Char set.

> Default Value: `-><-`

`$ContentType`

> Sets the boundary Content Type.

> Default Value: `->text/plain<-`

`$Disposition`

> Sets an attachment disposition.

> Default Value: `-><-`

`$Encoding`

> Sets the Encoding.

> Default Value: `-><-`

`$FileName`

> Sets an attachment file name.

> Default Value: `-><-`

`$LE`

> Sets the line endings of the message. Default is "\n";

> Default Value: `->\n<-`

Inherited Class Variable Summary

Inherited Method Summary

Method Summary

`void Boundary ( $boundary_id )`

> Main constructor.

`string GetSource ( [$bLineEnding = true] )`

> Returns the source of the boundary.

<hbr>

Variable Detail

### $CharSet

Data type: string
Sets the Char set.

- Access - `public`

### $ContentType

Data type: string
Sets the boundary Content Type.

- Access - `public`

### $Disposition

Data type: string
Sets an attachment disposition.

- Access - `public`

### $Encoding

Data type: string
Sets the Encoding.

- Access - `public`

### $FileName

Data type: string
Sets an attachment file name.

- Access - `public`

### $LE

Data type: string
Sets the line endings of the message. Default is "\n";

- Access - `public`

Method Detail

### constructor Boundary

void Boundary ( $boundary_id )

Main constructor.

Function Parameters:
Function Info:

### GetSource

string GetSource ( [$bLineEnding = true] )

Returns the source of the boundary.

Function Parameters:
Function Info:
  Access - `public`